For the complete documentation index, see llms.txt. This page is also available as Markdown.

Authentication, input and response

Request a sustainability advice based on address.

POST https://api.altum.ai/v2/sustainability/delta

This endpoint allows you to receive response from the Altum AI Sustainability Delta API regarding sustainability and the Ecovalue, using the post code, house number and house addition.

Headers

Name
Type
Description

Content-Type

string

application/json

x-api-key*

string

Unique API Key from Altum. Create one via Mopsus(https://mopsus.altum.ai)

Request Body

Filed
Type
Description
Example/Default

postcode*

string

Six-character postcode format

1234AB

housenumber*

integer

House number of the object

5

houseaddition

string

Addition to the house number

C

build_year

integer

Year the object was built

1956

roof_type

integer

1 = (mostly) sloped roof

2 = (mostly) flat roof

3 = part sloped, part flat roof

If either flat or sloped is > 25% it is type 3

Default: 1

house_type

integer

1 = Vrijstaand

2 = 2 onder 1 kap

3 = Hoekwoning

4 = Tussenwoning

2

inner_surface_area

float

inner surface area (m2)

70

wall_insulation

integer

2

target_wall_insulation

integer

4

floor_insulation

integer

1

target_floor_insulation

integer

4

sloped_roof_insulation

integer

2

target_sloped_roof_insulation

integer

4

flat_roof_insulation

integer

2

target_flat_roof_insulation

integer

4

living_room_windows

integer

1

target_living_room_windows

integer

3

bedroom_windows

integer

1

target_bedroom_windows

integer

4

installation

integer

Default: 4

target_installation

integer

8

shower

integer

Default: 1

target_shower

integer

2

cooling

integer

Is there a cooling system present?

1 = No cooling

2 = Air conditioning unit, direct air cooling

1

target_cooling

integer

Is there a cooling system present?

1 = No cooling

2 = Air conditioning unit, direct air cooling

2

ventilation

integer

2

target_ventilation

integer

3

electric_cooking

integer

What is used for cooking?

1 = Gas stove

2 = Electric stove

Default: 2 if Installation in [6,7],

Else 1

target_electric_cooking

integer

What is used for cooking?

1 = Gas stove

2 = Electric stove

2

inhabitants

integer

The number of people living in the house

Default: 3

ev_charger

integer

Does the building have a EV charger?

0 = no charger

1 = EV charger

Default: 0

electricity_connection_type

integer

The connection type of the building

1 = 1-phase

2 = 3-phase

Default: 1

target_electricity_connection_type

integer

The connection type of the building

1 = 1-phase

2 = 3-phase

2

electricity_contract_type

integer

Electricity contract type

1 = fixed contract

2 = dynamic contract

Default: 1

dynamic_price_reference_year

integer

The year from where the dynamic prices are used:

2023, 2024, 2025

Default: 2025

netting_enabled

integer

Whether the netting ruling (salderingsregeling) is applied

0 = No netting

1 = Netting applied

Default: 1

solar_panels

list

number_of_solar_panels

integer

battery_type

integer

target_battery_type

integer

battery_system

integer

target_battery_system

integer

gas_usage

float

Overwrites the estimated yearly gas consumption (m3)

1000

heat_usage

float

Overwrites specified yearly heat consumption in (GJ)

45

electricity_usage

float

Overwrites specified yearly electricity consumption (kWh)

2600

electricity_generation

float

Total yearly electricity yield of solar panels (kWh)

Net usage = consumption - yield

800

exclude_vat

boolean

Prices are with or without VAT included.

false = VAT included

true = VAT excluded

Default: false

cost_indicators

dict

wall_filters

dict

sloped_roof_filters

dict

flat_roof_filters

dict

floor_filters

dict

eco_delta

boolean

Fetching ecovalue

0 = Disable

1 = Enable

Default: 1

Laatst bijgewerkt